[P034]Litigation

get
https://connect.patsnap.com/high-value-data/litigation
Try in Sandbox

Receive litigation data by patent_id or patent_number. This includes litigation title, case number, filing date, verdict date, court, case region, plaintiff, defendant, chief judge and judge.

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
patent_id
stringbf151577-ce07-4f97-9c3b-5ce2996b86b1
patent_id
patent_number
stringES2576A1
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringCN1394453A
patent number
patent_id
string20863318-e1b4-4eb7-b021-4ea3fc11c078
patent id
patent_litigation_data
arrayPlease check the form: PatentLitigation
litigation data
court
string北京知识产权法院
court
judge
arrayPlease check the form: LitigationPersonBaseDoc
judge
lang
stringCN
language
name
string中华人民共和国国家知识产权局
names: plaintiff, defendant, chief_judge, judge
sequence
integer<int32>1
sequence
title
string西斯威尔国际有限公司与国家知识产权局一审行政判决书
title
country
stringCN
Authority code
defendant
arrayPlease check the form: LitigationPersonBaseDoc
defendant
plaintiff
arrayPlease check the form: LitigationPersonBaseDoc
plaintiff
case_number
string(2017)京73行初8028号
case number
case_region
string北京市
case region
chief_judge
objectPlease check the form: LitigationPersonBaseDoc
chief judge
filing_date
integer<int32>20171020
filing date
verdict_date
integer<int32>20200805
verdict date
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "CN1394453A",
      "patent_id": "20863318-e1b4-4eb7-b021-4ea3fc11c078",
      "patent_litigation_data": [
        {
          "court": "北京知识产权法院",
          "judge": [
            {
              "lang": "CN",
              "name": "中华人民共和国国家知识产权局",
              "sequence": 1
            }
          ],
          "title": "西斯威尔国际有限公司与国家知识产权局一审行政判决书",
          "country": "CN",
          "defendant": [
            {
              "lang": "CN",
              "name": "中华人民共和国国家知识产权局",
              "sequence": 1
            }
          ],
          "plaintiff": [
            {
              "lang": "CN",
              "name": "中华人民共和国国家知识产权局",
              "sequence": 1
            }
          ],
          "case_number": "(2017)京73行初8028号",
          "case_region": "北京市",
          "chief_judge": {
            "lang": "CN",
            "name": "中华人民共和国国家知识产权局",
            "sequence": 1
          },
          "filing_date": 20171020,
          "verdict_date": 20200805
        }
      ]
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms